$!-----------------------------------------------------------------------------
$! BUILD_HYPERSPIXX.COM
$! Builds the HYPERSPIXX utility for both VAX and AXP systems (separately)
$!
$! 30-OCT-00  JFP  initial development
$!-----------------------------------------------------------------------------
$!
$ WRITE SYS$OUTPUT ""
$ WRITE SYS$OUTPUT "Building ""HYPERSPIXX""" +-
                   " for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$!
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$!
$ DEFINES = " /DEFINE=(__VMS,_VMS_V6_SOURCE=1,__VMS_VER=60000000," +-
                       "__CRTL_VER=60000000,CGILIB_OBJECT_MODULE)"
$! DEFINES = "/DEFINE=(__VMS,CGILIB_OBJECT_MODULE)"
$ INCS = "/Include = ([], LibGDCHART:, LibJPEG:, LibPNG:, LibZ:, LibGD:)"
$!
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    CC_OPTIONS = "/PREFIX=ALL'DEFINES' /OBJECT=''OBJECT_DIR' " +-
                  "/WARN=(DISABLE=PREOPTW)"
$    LINK_OPTIONS = "HYPERSPIXX_VAX.OPT/OPTIONS"
$ ELSE
$    CC_OPTIONS = " /PREFIX=ALL'DEFINES'/OBJECT=''OBJECT_DIR' " +-
                  "/WARN=(DISABLE=PREOPTW)"
$    LINK_OPTIONS = "HYPERSPIXX_AXP.OPT/OPTIONS"
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LIB"
$ THEN
$    WRITE SYS$OUTPUT ""
$    WRITE SYS$OUTPUT "Building ""GDCHART""" +-
                   " for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$    SET NOON
$    set def [.lib]
$    @build
$    set def [-]
$    SET ON
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS''INCS' CGILIB
$    CC 'CC_OPTIONS''INCS' hyperSPIxx
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    LINK /NOTRACE /EXECUTABLE=HT_EXE:HYPERSPIXX.EXE -
     'OBJECT_DIR'hyperspixx,'OBJECT_DIR'CGILIB, -
     []'LINK_OPTIONS'
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ SET PROTECTION=W:RE HT_EXE:HYPERSPIXX.EXE
$ PURGE /NOLOG 'OBJECT_DIR'
$!-----------------------------------------------------------------------------
